summaryrefslogtreecommitdiffstats
path: root/network/ipscan
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-09-11 01:36:22 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-11 01:36:22 +0700
commit567773f5d15adedba011cf7db89083d9c9b0c1d0 (patch)
tree78d002a49657aa8f31112aa8d47cf2795351d11a /network/ipscan
parentedff74e8f3223fb64f303e7a5df97f10964bcf6a (diff)
downloadslackbuilds-567773f5d15adedba011cf7db89083d9c9b0c1d0.tar.gz
slackbuilds-567773f5d15adedba011cf7db89083d9c9b0c1d0.tar.xz
network/ipscan: Added (fast and friendly network scanner).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/ipscan')
-rw-r--r--network/ipscan/README20
-rw-r--r--network/ipscan/copyright22
-rw-r--r--network/ipscan/doinst.sh13
-rw-r--r--network/ipscan/ipscan2
-rw-r--r--network/ipscan/ipscan.SlackBuild98
-rw-r--r--network/ipscan/ipscan.desktop12
-rw-r--r--network/ipscan/ipscan.info10
-rw-r--r--network/ipscan/ipscan.pngbin0 -> 10422 bytes
-rw-r--r--network/ipscan/slack-desc19
9 files changed, 196 insertions, 0 deletions
diff --git a/network/ipscan/README b/network/ipscan/README
new file mode 100644
index 0000000000..419fb4568e
--- /dev/null
+++ b/network/ipscan/README
@@ -0,0 +1,20 @@
+ipscan (fast and friendly network scanner)
+
+Angry IP Scanner (or simply ipscan) is an open-source and cross-platform network scanner
+designed to be fast and simple to use. It scans IP addresses and ports as well as has many other features.
+
+It is widely used by network administrators and just curious users around the world
+including large and small enterprises, banks, and government agencies.
+
+It runs on Linux, Windows, and Mac OS X, possibly supporting other platforms as well.
+
+Angry IP scanner simply pings each IP address to check if it’s alive, then optionally it is
+resolving its hostname, determines the MAC address, scans ports, etc.
+The amount of gathered data about each host can be extended with plugins.
+
+It also has additional features, like NetBIOS information (computer name, workgroup name, and
+currently logged in Windows user), favorite IP address ranges, web server detection, customizable openers, etc.
+
+Scanning results can be saved to CSV, TXT, XML or IP-Port list files.
+With help of plugins, Angry IP Scanner can gather any information about scanned IPs.
+Anybody who can write Java code is able to write plugins and extend functionality of Angry IP Scanner.
diff --git a/network/ipscan/copyright b/network/ipscan/copyright
new file mode 100644
index 0000000000..38cd386048
--- /dev/null
+++ b/network/ipscan/copyright
@@ -0,0 +1,22 @@
+Angry IP Scanner is copyright 2004-2011 Anton Keks and others.
+Development is hosted on http://ipscan.sourceforge.net
+
+License: GPLv2+
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+See /usr/share/common-licenses/GPL-2, or
+<http://www.gnu.org/copyleft/gpl.txt> for the terms of the latest version
+of the GNU General Public License.
diff --git a/network/ipscan/doinst.sh b/network/ipscan/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/ipscan/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/ipscan/ipscan b/network/ipscan/ipscan
new file mode 100644
index 0000000000..51f6ca2f53
--- /dev/null
+++ b/network/ipscan/ipscan
@@ -0,0 +1,2 @@
+#!/bin/sh
+java -jar /usr/share/ipscan/ipscan*.jar "$@"
diff --git a/network/ipscan/ipscan.SlackBuild b/network/ipscan/ipscan.SlackBuild
new file mode 100644
index 0000000000..f65e5f9564
--- /dev/null
+++ b/network/ipscan/ipscan.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# Slackware build script for ipscan.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ipscan
+VERSION=${VERSION:-3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="ipscan-linux"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/bin
+install -D -m755 $CWD/ipscan $PKG/usr/bin/ipscan
+install -d $PKG/usr/share/{applications,pixmaps,$PRGNAM}
+install -D -m644 $CWD/ipscan.desktop $PKG/usr/share/applications/ipscan.desktop
+install -D -m644 $CWD/ipscan.png $PKG/usr/share/pixmaps/ipscan.png
+
+if [ "$ARCH" = "i486" ]; then
+ cp $CWD/$SRCNAM-$VERSION.jar $PKG/usr/share/$PRGNAM
+elif [ "$ARCH" = "x86_64" ]; then
+ cp $CWD/$SRCNAM$LIBDIRSUFFIX-$VERSION.jar $PKG/usr/share/$PRGNAM
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ipscan/ipscan.desktop b/network/ipscan/ipscan.desktop
new file mode 100644
index 0000000000..742c30a954
--- /dev/null
+++ b/network/ipscan/ipscan.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Angry IP Scanner
+Comment=Fast and friendly network scanner
+GenericName=Fast and friendly network scanner
+Exec=/usr/bin/ipscan
+Terminal=false
+Type=Application
+Icon=ipscan
+Categories=Application;Network;Internet;
+StartupWMClass=Angry IP Scanner
+StartupNotify=true
diff --git a/network/ipscan/ipscan.info b/network/ipscan/ipscan.info
new file mode 100644
index 0000000000..26570427b4
--- /dev/null
+++ b/network/ipscan/ipscan.info
@@ -0,0 +1,10 @@
+PRGNAM="ipscan"
+VERSION="3.4"
+HOMEPAGE="http://www.angryip.org/"
+DOWNLOAD="http://sourceforge.net/projects/ipscan/files/ipscan3-binary/3.4/ipscan-linux-3.4.jar"
+MD5SUM="7c2bad1551a544d4e111788846c8018b"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/ipscan/files/ipscan3-binary/3.4/ipscan-linux64-3.4.jar"
+MD5SUM_x86_64="06f5ddb34c62f257b41553bb8df81015"
+REQUIRES="jdk"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/network/ipscan/ipscan.png b/network/ipscan/ipscan.png
new file mode 100644
index 0000000000..ec9059f9e1
--- /dev/null
+++ b/network/ipscan/ipscan.png
Binary files differ
diff --git a/network/ipscan/slack-desc b/network/ipscan/slack-desc
new file mode 100644
index 0000000000..0d4c913314
--- /dev/null
+++ b/network/ipscan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ipscan: ipscan (fast and friendly network scanner)
+ipscan:
+ipscan: Angry IP Scanner (or simply ipscan) is an open-source and
+ipscan: cross-platform network scanner designed to be fast and simple to use.
+ipscan: It scans IP addresses and ports as well as has many other features.
+ipscan:
+ipscan: Home page: http://www.angryip.org/
+ipscan:
+ipscan:
+ipscan:
+ipscan: